%define fw_version 5.24
%define oname kfilemetadata

Summary:	Plasma 5 file metadata and text extraction library
Name:		plasma5-%{oname}
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
Patch0:		kfilemetadata-5.9.0-rename-translations.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	attr-devel
BuildRequires:	ebook-tools-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(taglib)
Suggests:	catdoc
# Prefer plasma5 prefix for Plasma 5 core packages
Obsoletes:	kfilemetadata-kf5 < 5.6.1-2

%description
Plasma 5 file metadata and text extraction library.

KFileMetaData provides a simple library for extracting the text and metadata
from a number of different files. This library is typically used by file
indexers to retreive the metadata.

%files
%{_kde5_plugindir}/kfilemetadata/kfilemetadata_*.so
%{_kde5_plugindir}/kfilemetadata/writers/kfilemetadata_taglibwriter.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KFileMetaData translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KFileMetaData translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5filemetadata_major 3
%define libkf5filemetadata %mklibname kf5filemetadata %{kf5filemetadata_major}

%package -n %{libkf5filemetadata}
Summary:	Plasma 5 file metadata and text extraction shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5filemetadata}
Plasma 5 file metadata and text extraction shared library.

%files -n %{libkf5filemetadata}
%{_kde5_libdir}/libKF5FileMetaData.so.%{kf5filemetadata_major}*
%{_kde5_libdir}/libKF5FileMetaData.so.%{version}*

#----------------------------------------------------------------------------

%define devkf5filemetadata %mklibname kf5filemetadata -d

%package -n %{devkf5filemetadata}
Summary:	Development files for Plasma 5 file metadata and text extraction library
Group:		Development/KDE and Qt
Requires:	%{libkf5filemetadata} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5filemetadata-devel = %{version}

%description -n %{devkf5filemetadata}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5filemetadata}
%{_kde5_includedir}/KF5/KFileMetaData
%{_kde5_libdir}/cmake/KF5FileMetaData
%{_kde5_libdir}/libKF5FileMetaData.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

for oldlang in po/*/*.po
do
    newlang=`echo $oldlang | sed s,\.po,5\.po,g`
    mv $oldlang $newlang
done

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (b7d0ba1) New version 5.24.0


